<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: RoundCardDeck Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classRoundCardDeck-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RoundCardDeck Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RoundCardDeck:</div>
<div class="dyncontent">
<div class="center"><img src="classRoundCardDeck__inherit__graph.png" border="0" usemap="#aRoundCardDeck_inherit__map" alt="Inheritance graph"/></div>
<map name="aRoundCardDeck_inherit__map" id="aRoundCardDeck_inherit__map">
<area shape="rect" title=" " alt="" coords="77,80,203,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for RoundCardDeck:</div>
<div class="dyncontent">
<div class="center"><img src="classRoundCardDeck__coll__graph.png" border="0" usemap="#aRoundCardDeck_coll__map" alt="Collaboration graph"/></div>
<map name="aRoundCardDeck_coll__map" id="aRoundCardDeck_coll__map">
<area shape="rect" title=" " alt="" coords="77,80,203,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acf19b8ff84c21c8409926a2a518a5c16"><td class="memItemLeft" align="right" valign="top"><a id="acf19b8ff84c21c8409926a2a518a5c16"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RoundCardDeck</b> (std::vector&lt; <a class="el" href="classRoundCard.html">RoundCard</a> * &gt;)</td></tr>
<tr class="separator:acf19b8ff84c21c8409926a2a518a5c16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7f9bf64440f50d5885ec1acfbd25e8"><td class="memItemLeft" align="right" valign="top"><a id="a4a7f9bf64440f50d5885ec1acfbd25e8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RoundCardDeck</b> (const <a class="el" href="classRoundCardCollection.html">RoundCardCollection</a> &amp;)</td></tr>
<tr class="separator:a4a7f9bf64440f50d5885ec1acfbd25e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3371570ed6d7ed9f27d6438aa4f98421"><td class="memItemLeft" align="right" valign="top"><a id="a3371570ed6d7ed9f27d6438aa4f98421"></a>
<a class="el" href="classRoundCardCollection.html">RoundCardCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getRoundCards</b> ()</td></tr>
<tr class="separator:a3371570ed6d7ed9f27d6438aa4f98421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcf15d2d9b59f837b233db78e6b62571"><td class="memItemLeft" align="right" valign="top"><a id="abcf15d2d9b59f837b233db78e6b62571"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_front</b> (<a class="el" href="classRoundCard.html">RoundCard</a> *)</td></tr>
<tr class="separator:abcf15d2d9b59f837b233db78e6b62571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fa9442dfb7416e6bcdd8c4f40286b6"><td class="memItemLeft" align="right" valign="top"><a id="a35fa9442dfb7416e6bcdd8c4f40286b6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_front</b> ()</td></tr>
<tr class="separator:a35fa9442dfb7416e6bcdd8c4f40286b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86be92763ce39c7b34a78bfa4cb81071"><td class="memItemLeft" align="right" valign="top"><a id="a86be92763ce39c7b34a78bfa4cb81071"></a>
<a class="el" href="classRoundCard.html">RoundCard</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int)</td></tr>
<tr class="separator:a86be92763ce39c7b34a78bfa4cb81071"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e018257e8e9767a3a87dba5cbacba7f"><td class="memItemLeft" align="right" valign="top"><a id="a5e018257e8e9767a3a87dba5cbacba7f"></a>
<a class="el" href="classRoundCard.html">RoundCard</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:a5e018257e8e9767a3a87dba5cbacba7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a07135c19f01e7cc076a6af1c4db2e8"><td class="memItemLeft" align="right" valign="top"><a id="a3a07135c19f01e7cc076a6af1c4db2e8"></a>
<a class="el" href="classRoundCard.html">RoundCard</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>front</b> ()</td></tr>
<tr class="separator:a3a07135c19f01e7cc076a6af1c4db2e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42b6fe0068d554b1a5acc403c1797379"><td class="memItemLeft" align="right" valign="top"><a id="a42b6fe0068d554b1a5acc403c1797379"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a42b6fe0068d554b1a5acc403c1797379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa9a35a67a92208077a06641efa9915"><td class="memItemLeft" align="right" valign="top"><a id="a3fa9a35a67a92208077a06641efa9915"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a3fa9a35a67a92208077a06641efa9915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511eabaf8d12c6e7ca35fd66828d5afc"><td class="memItemLeft" align="right" valign="top"><a id="a511eabaf8d12c6e7ca35fd66828d5afc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a511eabaf8d12c6e7ca35fd66828d5afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a5aa3c3e67163fb8ea17ea69be678f"><td class="memItemLeft" align="right" valign="top"><a id="a10a5aa3c3e67163fb8ea17ea69be678f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a10a5aa3c3e67163fb8ea17ea69be678f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08e55f3f54257796fd96429ee75d4725"><td class="memItemLeft" align="right" valign="top"><a id="a08e55f3f54257796fd96429ee75d4725"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:a08e55f3f54257796fd96429ee75d4725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea24573b26230eecdd0c4c7eb2c38e95"><td class="memItemLeft" align="right" valign="top"><a id="aea24573b26230eecdd0c4c7eb2c38e95"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:aea24573b26230eecdd0c4c7eb2c38e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a155d9ab616fa506edc11a83cec74487c"><td class="memItemLeft" align="right" valign="top"><a id="a155d9ab616fa506edc11a83cec74487c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:a155d9ab616fa506edc11a83cec74487c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="roundcarddeck_8h_source.html">roundcarddeck.h</a></li>
<li>src/roundcarddeck.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
